%define name		ksubtile
%define version		1.1
%define rel		1
%define distsuffix	mdk
%define release	%mkrel_fixed %rel
%define mkrel_fixed(c:)	%{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(\\d+)$/;$rel=${1}-1;re;print "$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	SRT subtitles editor
Source0:	%{name}_%{version}-2.tar.bz2
Source1:	%{name}-%{version}-fr-translation.tar.bz2
Patch0:		%{name}-%{version}-2-compiling.patch.bz2
Patch1:		%{name}-%{version}-2-translation.patch.bz2
URL:		http://ksubtile.sourceforge.net/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt3-devel kdelibs-common
Requires:	mplayer

%description
KSubtile is a GUI for KDE to create or edit SRT subtitles.
Preview can be done with mplayer.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -a 1
%patch0 -p 0
%patch1 -p 0

%build
%configure --disable-rpath
#--disable-debug
%make

%install
%makeinstall
install -d $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
                needs="X11" section="Multimedia/Video" title="KSubtile" \
                longtitle="KSubtile SRT editor"
EOF

install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -m 644 $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/%{name}.png \
	$RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m 644 $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png \
	$RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m 644 $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png \
	$RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

#remove unneeded files
rm -rf $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor
#rm -rf $RPM_BUILD_ROOT/usr/src
#rm -rf $RPM_BUILD_ROOT/usr/lib/debug

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/%{name}*
%{_datadir}/applnk/Editors/%{name}.desktop
%{_datadir}/mimelnk/application/srt.desktop
%{_datadir}/apps/%{name}/%{name}ui.rc
%{_datadir}/doc/HTML/en/%{name}/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Fri Oct 14 2005 Guillaume Bedot <littletux@mandriva.org> 1.1-1mdk
- First Mandriva package of ksubtile for contribs

